List budgets
curl --request GET \
--url https://sandbox.apocor.ai/v1/accounts/{id}/budgets \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.apocor.ai/v1/accounts/{id}/budgets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.apocor.ai/v1/accounts/{id}/budgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"account_id": "acct_abc123",
"applicant_id": "app_abc123",
"data": [
{
"id": "bud_xyz789",
"account_id": "acct_abc123",
"applicant_id": "app_abc123",
"name": "Default",
"is_default": true,
"balance": {
"available": "25.00",
"currency": "USD"
},
"created_at": "2026-08-20T12:00:00.000Z"
}
]
}
}Funding accounts
List budgets
Lists the applicant’s budgets (spending pots) in this account with live balances. The default budget is created automatically the first time funds move or a card is issued.
GET
/
v1
/
accounts
/
{id}
/
budgets
List budgets
Authorizations
Bearer access token obtained from POST /v1/oauth/token using your Apocor API key.
Path Parameters
Resource identifier.
Query Parameters
Response
200 - application/json
Budgets with balances.
Show child attributes
Show child attributes